Bug 213762 - More than one fakeraid volume
More than one fakeraid volume
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 16:42 EST by rebsim
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 15:34:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rebsim 2006-11-02 16:42:28 EST
I have 2 fakeraid volume (NTFS) (vith HTP370 and VIA8237A chipset).

rc.sysinit doesn't work whith more than one volume.
It only recognize HPT370 volume (the first).

In my system, i correct the problem by changing rc.sysinit:

Line 439:

for x in $(/sbin/dmraid -ay -i -p -t 2> /dev/null | \
	    egrep -iv "^no " | \
	    awk -F ':' '{ print $1 }') ; do
		[b]dmname=$x   <-------------------------- HERE
		[ -n "$dmname" ] || continue; <----------------- HERE [/b]
 		     /sbin/dmraid -ay -i -p "$dmname" >/dev/null 2>&1
		     /sbin/kpartx -a -p p "/dev/mapper/$dmname"
done
Comment 1 rebsim 2006-11-02 16:46:35 EST
dmraid-1.0.0.rc13
kpartx.8
Comment 2 Tim Waugh 2006-11-02 18:18:03 EST
rc.sysinit is from initscripts.
Comment 3 Bill Nottingham 2007-04-16 19:46:24 EDT
Does this still happen with the latest FC6 updates?
Comment 4 Bill Nottingham 2007-09-18 15:34:39 EDT
No response, closing.

Note You need to log in before you can comment on or make changes to this bug.